*** a/doc/src/sgml/ref/alter_table.sgml
--- b/doc/src/sgml/ref/alter_table.sgml
***************
*** 842,847 **** WITH ( MODULUS <replaceable class="parameter">numeric_literal</replaceable>, REM
--- 842,851 ----
        one will be created in the attached table; or, if an equivalent
        index already exists, will be attached to the target table's index,
        as if <command>ALTER INDEX ATTACH PARTITION</command> had been executed.
+       Note that if the existing table is a foreign table, it is currently not
+       allowed to attach the table as a partition of the target table if there
+       are indexes on the target table.  (See also
+       <xref linkend="sql-createtable"/>.)
       </para>
  
       <para>
*** a/doc/src/sgml/ref/create_foreign_table.sgml
--- b/doc/src/sgml/ref/create_foreign_table.sgml
***************
*** 169,174 **** CHECK ( <replaceable class="parameter">expression</replaceable> ) [ NO INHERIT ]
--- 169,178 ----
        the given parent table with specified partition bound values.
        See the similar form of
        <xref linkend="sql-createtable"/> for more details.
+       Note that it is currently not allowed to create the foreign table as a
+       partition of the parent table if there are indexes on the parent table.
+       (See also
+       <link linkend="sql-altertable"><command>ALTER TABLE ATTACH PARTITION</command></link>.)
       </para>
      </listitem>
     </varlistentry>
